Page MenuHomeLubuntu Development

Change CI/CD to impish
Needs ReviewPublic

Authored by apt-ghetto on Thu, Apr 29, 5:13 PM.

Details

Summary

Update the metadata to the new development release "Impish Indri"
Reduce the number of builds to the really neccessary builds:

  • ci/unstable builds make sense only for the development release
  • ci/stable builds make sense only for the development branch and the LTS versions

When more releases are needed, they can be added easily.

Test Plan

Check that packages for impish are built

Diff Detail

Repository
rCIMETADATA CI Metadata
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 229
Build 229: arc lint + arc unit

Event Timeline

apt-ghetto created this revision.
This revision is now accepted and ready to land.Thu, Apr 29, 5:15 PM
tsimonq2 requested changes to this revision.Wed, May 5, 6:07 PM

We need to keep building packages for the current release of Lubuntu (hirsute). This allows us to test backwards-compatibility and makes backporting and SRUing easier.

Otherwise I'm mostly an ack on this. I'm going to take a look at rNEWREL New Release Tooling to double check we got everything before I fully approve, but it looks good.

This revision now requires changes to proceed.Wed, May 5, 6:07 PM

Readd hirsute

Read the latest stable release to the stable jobs.